SoapySDR: Formats.h File Reference

| SoapySDR 0.8.1-ARCH Vendor and platform neutral SDR interface library

Loading...
Searching...
No Matches
Macros | Functions
Formats.h File Reference
`#include <SoapySDR/Config.h>`
`#include <stddef.h>`

Go to the source code of this file.

## Macros
#define | SOAPY_SDR_CF64 "CF64"
| Complex 64-bit floats (complex double).
#define | SOAPY_SDR_CF32 "CF32"
| Complex 32-bit floats (complex float).
#define | SOAPY_SDR_CS32 "CS32"
| Complex signed 32-bit integers (complex int32).
#define | SOAPY_SDR_CU32 "CU32"
| Complex unsigned 32-bit integers (complex uint32).
#define | SOAPY_SDR_CS16 "CS16"
| Complex signed 16-bit integers (complex int16).
#define | SOAPY_SDR_CU16 "CU16"
| Complex unsigned 16-bit integers (complex uint16).
#define | SOAPY_SDR_CS12 "CS12"
| Complex signed 12-bit integers (3 bytes).
#define | SOAPY_SDR_CU12 "CU12"
| Complex unsigned 12-bit integers (3 bytes).
#define | SOAPY_SDR_CS8 "CS8"
| Complex signed 8-bit integers (complex int8).
#define | SOAPY_SDR_CU8 "CU8"
| Complex unsigned 8-bit integers (complex uint8).
#define | SOAPY_SDR_CS4 "CS4"
| Complex signed 4-bit integers (1 byte).
#define | SOAPY_SDR_CU4 "CU4"
| Complex unsigned 4-bit integers (1 byte).
#define | SOAPY_SDR_F64 "F64"
| Real 64-bit floats (double).
#define | SOAPY_SDR_F32 "F32"
| Real 32-bit floats (float).
#define | SOAPY_SDR_S32 "S32"
| Real signed 32-bit integers (int32).
#define | SOAPY_SDR_U32 "U32"
| Real unsigned 32-bit integers (uint32).
#define | SOAPY_SDR_S16 "S16"
| Real signed 16-bit integers (int16).
#define | SOAPY_SDR_U16 "U16"
| Real unsigned 16-bit integers (uint16).
#define | SOAPY_SDR_S8 "S8"
| Real signed 8-bit integers (int8).
#define | SOAPY_SDR_U8 "U8"
| Real unsigned 8-bit integers (uint8).

## Functions
SOAPY_SDR_API size_t | SoapySDR_formatToSize (const char *format)

## Detailed Description

Format strings used in the stream API.

Copyright
  Copyright (c) 2015-2015 Josh Blum SPDX-License-Identifier: BSL-1.0

## Macro Definition Documentation

## ◆ SOAPY_SDR_CF32

#define SOAPY_SDR_CF32 "CF32"

Complex 32-bit floats (complex float).

## ◆ SOAPY_SDR_CF64

#define SOAPY_SDR_CF64 "CF64"

Complex 64-bit floats (complex double).

## ◆ SOAPY_SDR_CS12

#define SOAPY_SDR_CS12 "CS12"

Complex signed 12-bit integers (3 bytes).

## ◆ SOAPY_SDR_CS16

#define SOAPY_SDR_CS16 "CS16"

Complex signed 16-bit integers (complex int16).

## ◆ SOAPY_SDR_CS32

#define SOAPY_SDR_CS32 "CS32"

Complex signed 32-bit integers (complex int32).

## ◆ SOAPY_SDR_CS4

#define SOAPY_SDR_CS4 "CS4"

Complex signed 4-bit integers (1 byte).

## ◆ SOAPY_SDR_CS8

#define SOAPY_SDR_CS8 "CS8"

Complex signed 8-bit integers (complex int8).

## ◆ SOAPY_SDR_CU12

#define SOAPY_SDR_CU12 "CU12"

Complex unsigned 12-bit integers (3 bytes).

## ◆ SOAPY_SDR_CU16

#define SOAPY_SDR_CU16 "CU16"

Complex unsigned 16-bit integers (complex uint16).

## ◆ SOAPY_SDR_CU32

#define SOAPY_SDR_CU32 "CU32"

Complex unsigned 32-bit integers (complex uint32).

## ◆ SOAPY_SDR_CU4

#define SOAPY_SDR_CU4 "CU4"

Complex unsigned 4-bit integers (1 byte).

## ◆ SOAPY_SDR_CU8

#define SOAPY_SDR_CU8 "CU8"

Complex unsigned 8-bit integers (complex uint8).

## ◆ SOAPY_SDR_F32

#define SOAPY_SDR_F32 "F32"

Real 32-bit floats (float).

## ◆ SOAPY_SDR_F64

#define SOAPY_SDR_F64 "F64"

Real 64-bit floats (double).

## ◆ SOAPY_SDR_S16

#define SOAPY_SDR_S16 "S16"

Real signed 16-bit integers (int16).

## ◆ SOAPY_SDR_S32

#define SOAPY_SDR_S32 "S32"

Real signed 32-bit integers (int32).

## ◆ SOAPY_SDR_S8

#define SOAPY_SDR_S8 "S8"

Real signed 8-bit integers (int8).

## ◆ SOAPY_SDR_U16

#define SOAPY_SDR_U16 "U16"

Real unsigned 16-bit integers (uint16).

## ◆ SOAPY_SDR_U32

#define SOAPY_SDR_U32 "U32"

Real unsigned 32-bit integers (uint32).

## ◆ SOAPY_SDR_U8

#define SOAPY_SDR_U8 "U8"

Real unsigned 8-bit integers (uint8).

## Function Documentation

## ◆ SoapySDR_formatToSize()

SOAPY_SDR_API size_t SoapySDR_formatToSize | ( | const char * | format | ) |

Get the size of a single element in the specified format.

Parameters

  format | a supported format string

Returns
  the size of an element in bytes